<?
include_once(_DIR_EXT.'/HTML/c_page_XML_AJAX.php') ;
class c_page_ajax extends c_page_XML_AJAX
{
    function check_member()
    { // только в этом ext не проверять авторизацию
        //if (!MEMBER()->id) { $this->add_element('go_url','/cab/') ; return(0) ; }
        return(1) ;
    }

    public function getMOInfo()
    { $propusk_id=$_POST['passNumber'] ;
      $rec_person=PERSONAL()->get_personal(array('propusk'=>$propusk_id,'tab_number'=>$propusk_id),array('only_enabled'=>1,'set_rules'=>1,'set_QR_code'=>$GLOBALS['LS_person_field_to_qrcode'],'dop_usl'=>'enabled=1')) ;
      if ($rec_person['pkey'])
      {
          ob_start();
          // если включена настройка LS_post_print_tk_1 то передаем опцию no_check_tk - не проверятим тип МО
          $rec_mo=ESMO()->check_active_dopusk($rec_person['pkey'],array('dopusk'=>1,'debug'=>0,'no_check_tk'=>$GLOBALS['LS_post_print_tk_1'])) ;
          $txt=ob_get_clean();

          if($rec_mo['pkey'])
          {

              $print_html='';
              ENGINE()->on_event_by_pointer('get_waybill_print_images',$rec_mo['pkey'],$print_html);

              if ($print_html) {
                  $this->add_element('printForm.HTML',$print_html);

//                  $this->add_element('JSCODE','<script type="text/javascript">
//                                            $j(document).ready(function () {
//                                                $j("#printForm").removeClass("hidden");
//                                                window.print();
//                                                resetInput();
//                                            }
//                                         </script>') ;

              $this->add_element('JSCODE','<script type="text/javascript">
                                            //$j(".form").addClass("hidden");
                                            $j("#printForm").removeClass("hidden");
                                            let startPrint = function() {
                                            window.print();
                                            resetInput();
                                            };
                                            setTimeout(startPrint, 1000);
                                         </script>') ;
              } else {
                  $this->add_element('gettingData.HTML','ss отсутствует') ;
              }


          }
          else
          { $this->add_element('gettingData.HTML','Допуск отсутствует') ;
            $this->add_element('JSCODE','<script type="text/javascript">resetInput(1500);</script>') ;
          }
      }
      else
      { $this->add_element('gettingData.HTML','Пропуск не найден') ;
        $this->add_element('JSCODE','<script type="text/javascript">resetInput(1500);</script>') ;
      }


    }
}
?>
